import request from '@/utils/request'

// 查询保险登记列表
export function listRegister (query) {
  return request({
    url: '/clw/register/list',
    method: 'get',
    params: query
  })
}

// 查询保险登记详细
export function getRegister (insuranceId) {
  return request({
    url: '/clw/register/' + insuranceId,
    method: 'get'
  })
}

// 新增保险登记
export function addRegister (data) {
  return request({
    url: '/clw/register',
    method: 'post',
    data: data
  })
}

// 修改保险登记
export function updateRegister (data) {
  return request({
    url: '/clw/register',
    method: 'put',
    data: data
  })
}

// 删除保险登记
export function delRegister (insuranceId) {
  return request({
    url: '/clw/register/' + insuranceId,
    method: 'delete'
  })
}
